Subject: bug#45834: 28.0.50; Mouse events in terminal emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Sep 2021 19:04:52 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked]
> Date: Wed, 08 Sep 2021 11:49:12 -0400
> 
> > So somehow what we do in xterm-translate-focus-in causes Emacs to
> > interpret the sequence as an incomplete one.
> 
> AFAIK, `C-x` is incomplete and so it `C-x a`, so I don't e anything
> wrong in what is described above.

I meant the original input: "ESC [ I"  This should be a complete key
sequence, given the following:

    (define-key map "\e[I" #'xterm-translate-focus-in)

But for some reason, "C-h k" thinks it's an incomplete key sequence,
because "C-h k" followed by a click on a different frame displays
"ESC [ I-" (note the dash).  Do you understand why this happens?